# suite config
actor: AcceptanceTester
path: Acceptance
bootstrap: _bootstrap.php
modules:
  enabled:
    - Asserts
    - REST:
        url: '%SHOP_URL%'
        depends: PhpBrowser
        part: Json
    - \OxidEsales\PayPalModule\Tests\Codeception\Helper\Acceptance
    - WebDriver:
        url: '%SHOP_URL%'
        browser: '%BROWSER_NAME%'
        port: '%SELENIUM_SERVER_PORT%'
        host: '%SELENIUM_SERVER_HOST%'
        window_size: 1920x1080
        clear_cookies: true
    - Db:
        dsn: 'mysql:host=%DB_HOST%;dbname=%DB_NAME%;charset=utf8'
        user: '%DB_USERNAME%'
        password: '%DB_PASSWORD%'
        port: '%DB_PORT%'
        dump: '%DUMP_PATH%'
        module_dump: '%MODULE_DUMP_PATH%'
        mysql_config: '%MYSQL_CONFIG_PATH%'
        populate: true # run populator before all tests
        cleanup: true # run populator before each test
        populator: >
          %PHP_BIN% %VENDOR_PATH%/bin/reset-shop
          && mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $dump
          && mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $module_dump
        initial_queries:
          - "SET SESSION sql_mode = '';"
    - \OxidEsales\Codeception\Module\Oxideshop:
        depends:
          - WebDriver
          - Db
    - \OxidEsales\Codeception\Module\OxideshopAdmin:
        depends:
          - WebDriver
          - \OxidEsales\Codeception\Module\Oxideshop
    - \OxidEsales\Codeception\Module\Database:
        config_key: 'fq45QS09_fqyx09239QQ'
        depends: Db
    - \OxidEsales\Codeception\Module\Translation\TranslationsModule:
        shop_path: '%SHOP_SOURCE_PATH%'
        paths: 'Application/views/flow,Application/views/admin,modules/oe/oepaypal/translations,modules/oe/oepaypal/views/admin'
    - \OxidEsales\Codeception\Module\OxideshopModules
    - \OxidEsales\PayPalModule\Tests\Codeception\Module\GraphQLHelper:
        depends:
          - REST
step_decorators:
  - \Codeception\Step\Retry